Results 1 to 7 of 7

Thread: Kali upgrade - E: Broken packages

  1. #1
    Join Date
    2016-Mar
    Location
    NYC
    Posts
    11

    Question Kali upgrade - E: Broken packages

    I'm unable to update my Kali:

    # apt-get update
    Hit:1 http://packages.microsoft.com/repos/vscode stable InRelease
    Hit:2 http://archive-9.kali.org/kali kali-rolling InRelease
    Reading package lists... Done
    # apt-get upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Calculating upgrade... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    vlc-bin : Depends: libvlc-bin (= 3.0.0~rc7-2) but 3.0.0~rc8-1 is to be installed
    vlc-plugin-skins2 : Depends: vlc-plugin-qt (= 3.0.0~rc8-1) but 3.0.0~rc7-2 is to be installed
    E: Broken packages
    # cat /etc/*release
    DISTRIB_ID=Kali
    DISTRIB_RELEASE=kali-rolling
    DISTRIB_CODENAME=kali-rolling
    DISTRIB_DESCRIPTION="Kali GNU/Linux Rolling"
    PRETTY_NAME="Kali GNU/Linux Rolling"
    NAME="Kali GNU/Linux"
    ID=kali
    VERSION="2018.1"
    VERSION_ID="2018.1"
    ID_LIKE=debian
    ANSI_COLOR="1;31"
    HOME_URL="http://www.kali.org/"
    SUPPORT_URL="http://forums.kali.org/"
    BUG_REPORT_URL="http://bugs.kali.org/"
    # cat /etc/debian_version
    kali-rolling
    #
    Please advise.
    meh

  2. #2
    Join Date
    2016-Dec
    Posts
    151
    Quote Originally Posted by alexus View Post
    I'm unable to update my Kali:



    Please advise.
    Having the same problem. Even after updating keystring

  3. #3
    Join Date
    2016-Oct
    Location
    /dev/sda
    Posts
    928
    Quote Originally Posted by bigbiz View Post
    Having the same problem. Even after updating keystring
    Show the output of cat /etc/apt/sources.list

  4. #4
    Join Date
    2016-Mar
    Location
    NYC
    Posts
    11
    Quote Originally Posted by _defalt View Post
    Show the output of cat /etc/apt/sources.list
    Code:
    # cat /etc/apt/sources.list
    # 
    
    # deb cdrom:[Debian GNU/Linux 2017.3 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20171109-13:49]/ kali-rolling contrib main non-free
    
    #deb cdrom:[Debian GNU/Linux 2017.3 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20171109-13:49]/ kali-rolling contrib main non-free
    #
    meh

  5. #5
    Join Date
    2016-Mar
    Location
    NYC
    Posts
    11
    I just ran apt-get update and apt-get upgrade and it went through this time)
    meh

  6. #6
    Join Date
    2016-Dec
    Posts
    151
    Quote Originally Posted by alexus View Post
    I just ran apt-get update and apt-get upgrade and it went through this time)

    root@kali:~# cat /etc/apt/sources.list
    deb http://http.kali.org/kali kali-rolling main contrib non-free
    deb-src http://http.kali.org/kali kali-rolling main contrib non-free
    root@kali:~#

  7. #7
    Join Date
    2018-Feb
    Location
    In a cave in West Virginia
    Posts
    6
    seems to me this should be in your .sources.list as follows. Per what you show you have nothing even the 2 listed are commented.
    Code:
    deb http://http.kali.org/kali kali-rolling main non-free contrib

Similar Threads

  1. E: Unable to correct problems, you have held broken packages.
    By jackherer in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2015-10-23, 13:18

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •